Bug 575495 (perl-Test-Requires) - Review Request: perl-Test-Requires - Checks to see if a given module can be loaded
Summary: Review Request: perl-Test-Requires - Checks to see if a given module can be l...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Test-Requires
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Test-Requ...
Whiteboard:
Depends On:
Blocks: perl-CGI-Compile perl-Plack, plack 579376
TreeView+ depends on / blocked
 
Reported: 2010-03-21 00:28 UTC by Chris Weyl
Modified: 2010-12-04 21:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-05 04:57:07 UTC
emmanuel: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2010-03-21 00:28:09 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Test-Requires.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Test-Requires-0.03-1.fc12.src.rpm

Description:
Test::Requires checks to see if the module can be loaded; if this fails
rather than failing tests this *skips all tests*.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2065395

Additional Comment:

This package is a dependency of the Plack PSGI implementation.

*rt-0.10_01

Comment 1 Emmanuel Seyman 2010-03-25 23:17:28 UTC
Taking.

Comment 2 Emmanuel Seyman 2010-04-04 18:18:50 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2094548

 [x] Rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
b260108348f27fb1409d45ea2086966e  Test-Requires-0.03.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [!] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [x] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: rawhide.x86_64
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=6, Tests=13,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.13 cusr  0.01 csys =  0.17 CPU)
Result: PASS

APPROVED.

Comment 3 Chris Weyl 2010-04-04 18:44:13 UTC
New Package CVS Request
=======================
Package Name: perl-Test-Requires
Short Description: Checks to see if a given module can be loaded
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-04-05 04:02:48 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Chris Weyl 2010-04-05 04:57:07 UTC
Thanks for the review! :-)

Comment 6 Mark Chappell 2010-08-30 18:25:22 UTC
Package Change Request
======================
Package Name: perl-Test-Requires
New Branches: EL-6
Owners: tremble    

cweyl has previously suggested he's happy for us to branch for el
https://bugzilla.redhat.com/show_bug.cgi?id=191622

Comment 7 Kevin Fenzi 2010-09-01 19:26:18 UTC
Git done (by process-git-requests).

Comment 8 Paul Howarth 2010-11-17 22:09:02 UTC
Can we have an EL-5 branch too please?

Package Change Request
======================
Package Name: perl-Test-Requires
New Branches: EL-5
Owners: tremble pghmcfc

Comment 9 Jason Tibbitts 2010-11-18 16:35:55 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2010-11-18 21:19:47 UTC
perl-Test-Requires-0.06-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Test-Requires-0.06-2.el5

Comment 11 Fedora Update System 2010-12-04 21:27:56 UTC
perl-Test-Requires-0.06-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.